#!/bin/sh

# for http://wiki.tvbrowser.org/index.php/Aufnahmesteuerung

usage() {
    cat << EOF

   -a file 'line'  (add a crontab line in ~/file)
   -r file 'line*' (remove a crontab line in ~/file)

Example:
(add)
$0 -a ~/AudioStream/crontab.streamripper "50 12 19 7 * streamripper http://www.wdr.de/wdrlive/media/wdr2.m3u -d ~/AudioStream --codeset-filesys=UTF-8 -l 60 -m 60 -A -a '(WDR 2)2009-7-19_12h50-titel' > /dev/null 2>&1"

(remove)
$0 -r ~/AudioStream/crontab.streamripper "50 12 19 7 * streamripper http://www.wdr.de/wdrlive/media/wdr2.m3u"

(list of scheduled tasks)
crontab -l

EOF
}

#echo name of script is $0
#echo 1. argument is "$1"
#echo 2. argument is "$2"
#echo 3. argument is "$3"
#echo number of arguments is $#

case "$1" in
-a)
	echo "$3" >>$HOME/$2
	crontab $HOME/$2
	;;
-r)
	grep -Fv "$3" $HOME/$2 >$HOME/$2.temp
	mv -f $HOME/$2.temp $HOME/$2
	;;
-l)
	crontab -l
	;;
*)
	usage;
	exit 1
	;;
esac
